#ifndef CONVERT_H
#define CONVERT_H

#define RESETTING 0
#define GOING_UP 1
// MIC_GAIN setting of 60 gives 95% full scale output,
// but it's not needed for voice applications and noise is nicer at low volume anyway
#define MIC_GAIN 60
#define MIC_TIMER_START 20000
#define MIC_OFFSET (MIC_TIMER_START-(1088/2))
void SetInterruptVector_Timer1(void);
void SetInterruptVector_GPIO0(void);
void SetInterruptVector_DAC(void);

// Mic ramp controlling bit is GPIO0:6
#define MIC_RESET_BIT 6
// Mic ramp comparator output is GPIO0:6
#define MIC_INPUT_BIT 5
void StartADC();
void StopADC();


#endif
