#ifndef MICREC_H
#define MICREC_H

#include "mmcmapper.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <vs1000.h>
#include <mappertiny.h>
#include <minifat.h>
#include <usb.h>
#include <usblowlib.h>
#include <dev1000.h>
#include <codec.h>
#include <audio.h>
#include "scsi.h"
#include <player.h>
#include "multi.h"
#include "mmcmapper.h"
#include "convert.h"


#define BUFFER_SIZE (0x1800 + 0x2400)


extern u_int32 currentBlock;
extern u_int32 currentBlockFill;
extern u_int16 interfaceStopped;
extern u_int16 wordsMissed;
extern u_int16 bufferSpace;
extern u_int16 bufWi;
extern u_int16 bufRi;
extern u_int16 bufferMinimum;
extern struct FsPhysical *ph;
extern struct FsMapper *map;
extern struct CodecServices cs;
extern struct FsMapper *map;
extern u_int16 mmcDoMultiWrite;
extern volatile u_int16 edgeTime;
extern volatile u_int16 edgeTime2;
extern s_int16 *micBufStart;
extern s_int16 *micBufEnd;
extern s_int16 *micBufPtr;
extern u_int32 originalDacInt;
extern u_int32 not_originalUsbInt;
extern u_int32 originalGpio0Int;
extern u_int16 samplesToSave;



void FatPrepareForSaving(void);
int FsFatMakeFile(void);
auto s_int16 FatFindDirEntry(const u_int16 *packedName /*8.3 name*/);

void PutBuffer(s_int16 a);


#define SOUND_DIR          "VOICE   "
#define SOUND_DIR_PACKED "\pVOICE   "
extern struct FsMapper *map;
#define FFDE_OK          0
#define FFDE_FAT12       1
#define FFDE_NOSPACE     2
#define FFDE_NAMEINVALID 3


void MyDecodeSetupPacket();
void MyInitUSBDescriptors(u_int16 initDescriptors);

s_int16 Sat16 (register __a s_int32 n);

#endif
