
#ifndef MULTI_H
#define MULTI_H

#define MPRG_MMCMI     (0 + 4)
#define MPRG_MAINMENU  (0 + 4)
#define MPRG_MICREC    (8192+ 4)
#define MPRG_MMCR      (16500 + 4)
#define MPRG_MMC       (24576 + 4)

// 0 for 95256, 1 for 16X32
//#define SPIADDR_EXTRABYTES 0
#include "ee_addr.h"

#define PC_PLAYER_MODE MPRG_MMCMI
#define VOICE_RECORD_MODE MPRG_MICREC
#define LOSSLESS_RECORD_MODE MPRG_MMCR
#define STANDALONE_PLAYER_MODE MPRG_MMC
#define REC_LED (1 << 14)
#define REC_LED_ON {PERIP(GPIO0_SET_MASK) = REC_LED;}
#define REC_LED_OFF {PERIP(GPIO0_CLEAR_MASK) = REC_LED;}
#define REC_LED_INIT {PERIP(GPIO0_DDR)|=REC_LED;PERIP(GPIO0_MODE)&=(~(REC_LED));}

#define USB_DOWN {PERIP(SCI_STATUS) &= ~SCISTF_USB_PULLUP_ENA;}
#define USB_UP {PERIP(SCI_STATUS) |= SCISTF_USB_PULLUP_ENA;}

#define LED_ON(a) {PERIP(GPIO0_SET_MASK) = (a); PERIP(GPIO0_DDR)|=(a); PERIP(GPIO0_MODE)&=~(a);}
#define LED_OFF(a) {PERIP(GPIO0_CLEAR_MASK) = (a);}

#define UR3_LED3 (1<<14)
#define UR3_LED4 (1<<0)
#define UR3_LED5 (1<<1)
#define UR3_LED6 (1<<2)
#define UR3_LED7 (1<<3)
#define UR3_LED8 (1<<4)


#endif

